PHP Manual
Prev |  | Next

# pfpro_process_raw

(PHP 4 >= 4.0.2, PHP 5)

pfpro_process_raw -- Process a raw transaction with Payflow Pro

## Description

string pfpro_process_raw ( string parameters [, string address [, int port [, int timeout [, string proxy_address [, int proxy_port [, string proxy_logon [, string proxy_password]]]]]]] )

pfpro_process_raw() processes a raw transaction string with Payflow Pro. You should really use pfpro_process() instead, as the encoding rules of these transactions are non-standard.

> Note: Be sure to read the Payflow Pro Developers Guide for full details of the required parameters and encoding rules. You would be well advised to use pfpro_process() instead.

## Parameters

`parameters`

  A string containing the raw transaction request.

`address`

  Specifies the host to connect to. By default this is `test.signio.com`, that you will certainly want to change this to `connect.signio.com` in order to process live transactions.

`port`

  Specifies the port to connect on. It defaults to 443, the standard SSL port number.

`timeout`

  Specifies the timeout to be used, in seconds. This defaults to 30 seconds. Note that this timeout appears to only begin once a link to the processor has been established and so your script could potentially continue for a very long time in case of DNS or network problems.

`proxy_address`

  If required, specifies the hostname of your SSL proxy.

`proxy_port`

  If required, specifies the port of your SSL proxy.

`proxy_logon`

  If required, specifies the logon identity to use on the SSL proxy.

`proxy_password`

  If required, specifies the password to use on the SSL proxy.

## Return Values

Returns a string containing the raw response.

## Examples

Example 1. Payflow Pro raw example

`<?php pfpro_init(); $response = pfpro_process_raw( "USER=mylogin&PWD[5]=m&ndy&PARTNER=VeriSign&TRXTYPE=S" . "&TENDER=C&AMT=1.50&ACCT=4111111111111111&EXPDATE=0904"); if (!$response) { die("Couldn't establish link to Verisign.\n"); } echo "Verisign raw response was " . $response; pfpro_cleanup(); ?>`

## See Also

pfpro_process()

Prev | Home | Next
pfpro_init | Up | pfpro_process